import { defineComponent as r, mergeModels as u, useModel as p, watch as s, createBlock as d, createCommentVNode as f, openBlock as c, unref as l, withCtx as V, createVNode as b } from "vue";
import { useI18n as C } from "vue-i18n";
import { ag as _ } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import "@vuelidate/validators";
import "./TreeView.vue_vue_type_style_index_0_scoped_0bd14ef7_lang-CZieIjgg.js";
import "./DatahubDataTypeCompletenessRenderer.vue_vue_type_script_setup_true_lang-5buor0oX.js";
import "./topBarRoutes-CBd5qLxn.js";
import "./IsActiveStatusCell-xz7XnAYP.js";
import v from "./VariantToVariantExtension-DUC3WSrH.js";
import "./DatahubDataTypeVariantValueEditor-9WYNJneN.js";
import "./dataTypes-DocW2t0g.js";
import { b as i } from "./pim-to-product-relation.json_vue_type_i18n_index_0_src_true_lang-CldzWkBc.js";
const A = /* @__PURE__ */ r({
  __name: "PimChannelsConnectionPimToChannelsVariantConfigExtension",
  props: /* @__PURE__ */ u({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const e = p(n, "modelValue"), { t: m } = C();
    return s(
      e,
      (a) => {
        a || (e.value = {});
      },
      { immediate: !0 }
    ), (a, t) => e.value ? (c(), d(l(v), {
      key: 0,
      modelValue: e.value,
      "onUpdate:modelValue": t[1] || (t[1] = (o) => e.value = o)
    }, {
      default: V(() => [
        b(l(_), {
          modelValue: e.value.notApplyStatus,
          "onUpdate:modelValue": t[0] || (t[0] = (o) => e.value.notApplyStatus = o),
          label: l(m)("pim-channels-connection.etl.NotApplyStatusToChildren")
        }, null, 8, ["modelValue", "label"])
      ]),
      _: 1
    }, 8, ["modelValue"])) : f("", !0);
  }
});
typeof i == "function" && i(A);
export {
  A as default
};
